Page MenuHomePhabricator

Create a wmf production ready nginx image
Closed, DeclinedPublic

Description

In T192006 we (WMDE) want to move the wdqs UI to using blubber and the build pipeline (even if we don't use the resulting image for WMF production deployment).
In order to use blubber and the pipeline we need an nginx base image to serve the content of the wdqs.

Event Timeline

Addshore triaged this task as Medium priority.Nov 12 2018, 3:35 PM
Addshore created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 12 2018, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
fsero added a subscriber: fsero.Nov 12 2018, 3:44 PM
Addshore moved this task from incoming to monitoring on the Wikidata board.Nov 12 2018, 6:01 PM

I wonder if there is a way to get some rough timeline for this from SRE or Release-Engineering-Team ?
Or outline of the process that needs to happen to get this done.
The parent task has already been blocked for 1 month and I would hate for this ticket to get forgotten about.

hashar added a subscriber: hashar.Dec 18 2018, 1:45 PM

I don't think anyone from releng is looking into it.

The base images are build with docker-pkg (just like the CI one) using the recipes in operations/docker-images/production-images.git. I guess we can get a nginx image there?

serviceops should be able to help / review.

Ladsgroup added a subscriber: Ladsgroup.EditedJan 31 2019, 9:21 PM

I would be in favor of not using nginx and turning WDQS gui to a proper nodejs application so we can have real deployment pipeline (right now you need to build the deployment assets and other things) it sorta defies the point of having containers here.

Addshore moved this task from Backlog to Misc on the Wikibase-Containers board.Feb 6 2019, 12:09 PM

I would be in favor of not using nginx and turning WDQS gui to a proper nodejs application so we can have real deployment pipeline (right now you need to build the deployment assets and other things) it sorta defies the point of having containers here.

I also kind of agree with this, especially if we want to go in this direction T209392

hashar closed this task as Declined.Jun 21 2019, 6:48 AM
hashar added a project: serviceops.

This was for serviceops!

But I decline the task based on @Ladsgroup comment which it would be better to have the application to use NodeJS / service-runner like most of the other MediaWiki services.